# Created by pyp2rpm-3.3.2
%global pypi_name nodeenv

Name:           python-%{pypi_name}
Version:        1.9.1
Release:        %mkrel 3
Summary:        Node.js virtual environment builder
Group:          Development/Python
License:        BSD
URL:            https://github.com/ekalinin/nodeenv
Source0:        %{pypi_source}
# Upstream
# Patch1:         0001-Switch-to-packaging-338.patch
# MR
# Patch11:        0001-On-Python-3.3-replace-pipes.quote-with-shlex.quote.patch
# Patch12:        0002-Choose-shlex-or-pipes-based-on-Python-version.patch
#
Patch50:        nodeenv-per-dir-config.patch

BuildArch:      noarch

BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3-devel

%description
Node.js virtual environment nodeenv (node.js virtual environment) is a
tool to create isolated node.js environments.

It creates an environment that has its own installation directories, that
doesn't share libraries with other node.js virtual environments. Also the
new environment can be integrated with the environment which was built by
virtualenv (python).

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
Node.js virtual environment nodeenv (node.js virtual environment) is a
tool to create isolated node.js environments.

It creates an environment that has its own installation directories, that
doesn't share libraries with other node.js virtual environments. Also the
new environment can be integrated with the environment which was built by
virtualenv (python).

%prep
%autosetup -p1 -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{pypi_name}

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc README.rst README.ru.rst
%{_bindir}/nodeenv


%changelog
* Wed Jul 02 2025 umeabot <umeabot> 1.9.1-3.mga10
+ Revision: 2236268
- Mageia 10 Mass Rebuild

* Sat Feb 22 2025 wally <wally> 1.9.1-2.mga10
+ Revision: 2150736
- rebuild ofr python3.13

* Thu Jul 11 2024 papoteur <papoteur> 1.9.1-1.mga10
+ Revision: 2080728
- new version 1.9.1
- remove upstreamed patches

* Wed Dec 27 2023 wally <wally> 1.8.0-3.mga10
+ Revision: 2022241
- add patches for deprecations

* Thu Dec 07 2023 wally <wally> 1.8.0-2.mga10
+ Revision: 2015281
- rebuild for py3.12

* Wed Sep 20 2023 papoteur <papoteur> 1.8.0-1.mga10
+ Revision: 1988387
- new 1.8.0

* Sat Sep 10 2022 wally <wally> 1.7.0-1.1.mga9
+ Revision: 1886411
- allow per dir nodeenvrc to allow building rpm pkgs without touching ~/.nodeenvrc

* Mon Aug 29 2022 wally <wally> 1.7.0-1.mga9
+ Revision: 1881788
- new version 1.7.0
- switch build to use pyproject rpm macros

* Wed Mar 23 2022 umeabot <umeabot> 1.5.0-3.mga9
+ Revision: 1822347
- Mageia 9 Mass Rebuild

* Sat Feb 12 2022 neoclust <neoclust> 1.5.0-2.mga9
+ Revision: 1773326
- rebuild for python 3.10

* Mon Mar 15 2021 wally <wally> 1.5.0-1.mga9
+ Revision: 1703335
- new version 1.5.0
- rebuild for python 3.9

* Sun Feb 16 2020 umeabot <umeabot> 1.3.3-3.mga8
+ Revision: 1531400
- Mageia 8 Mass Rebuild

* Wed Sep 11 2019 wally <wally> 1.3.3-2.mga8
+ Revision: 1439803
- rebuild for python3.8

* Sun Aug 18 2019 wally <wally> 1.3.3-1.mga8
+ Revision: 1429847
- imported package python-nodeenv

